#
# spec file for package cdk (Version 4.9.13)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           cdk
License:        BSD
Group:          System/Libraries
Autoreqprov:    on
Version:        4.9.13
Release:        15.2
Summary:        The Runtime for the Curses Development Kit
Source:         cdk-4.9.13.tar.bz2
Patch:          cdk-4.9.13.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
CDK is a widget set developed on top of the basic curses library. It
contains 21 ready to use widgets, some of which are: a text entry
field, a scrolling list, a selection list, an alphalist, a pull-down
menu, a radio list, a viewer widget, and a dialog box.



Authors:
--------
    Mike Glover <glover@credit.erin.utoronto.ca>

%debug_package
%package -n cdk-devel
Summary:        Development Part of Curses Development Kit
Group:          System/Libraries
Requires:       cdk ncurses-devel
Autoreqprov:    on

%description -n cdk-devel
This package includes the development headers and static libraries for
CDK, the Curses Development Kit.



Authors:
--------
    Mike Glover <glover@credit.erin.utoronto.ca>

%prep
rm -rf $RPM_BUILD_ROOT
%setup
%patch -P 0 -p0
touch NEWS AUTHORS
ln -sf CHANGES ChangeLog
CFLAGS="${RPM_OPT_FLAGS} -pipe"
LDFLAGS=-s
CC=gcc
PATH=$PATH:.
export CFLAGS CC LDFLAGS PATH
%{?suse_update_config}
autoreconf --force --install
./configure	--prefix=/usr \
		--exec-prefix=/usr \
		--infodir=/usr/share/info \
		--mandir=/usr/share/man \
		--sharedstatedir=/var/lib \
		--libexecdir=%{_libdir} \
		--libdir=%{_libdir}\
		--includedir=/usr/include/cdk \
		--enable-shared \
		--enable-static \
		--with-gnu-ld \
		--build=%{_target_cpu}-suse-linux
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc BUGS EXPANDING NOTES TODO COPYING LICENSE INSTALL README CHANGES
%{_libdir}/libcdk.so.4.0.9
%{_libdir}/libcdk.so.4

%files -n cdk-devel
%defattr(-,root,root)
%{_libdir}/libcdk.so
%{_libdir}/libcdk.la
%{_libdir}/libcdk.a
/usr/include/cdk
/usr/share/man/man3/cdk_*.3.gz

%changelog -n cdk
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 23 2004 - werner@suse.de
- Add cdk to required packages for cdk-devel (bug #48405)
- Update to cdk 4.9.13
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Wed Jan 08 2003 - werner@suse.de
- cdk-devel requires ncurses-devel (bug# 20065)
* Tue Apr 30 2002 - sf@suse.de
- changed paths to %%{_libdir}
* Mon Apr 08 2002 - ro@suse.de
- call autoreconf
* Wed Nov 14 2001 - werner@suse.de
- New package cdk (Curses Development Kit) which provides an
  easy interface for programmers to (n)curses.  Is used e.g.
  by curses based programs like ntuxzap from DVB driver package.
